org.apache.tomcat.util.net

## Interface AbstractEndpoint.Handler

- All Known Subinterfaces:
    AprEndpoint.Handler, JIoEndpoint.Handler, NioEndpoint.Handler
  All Known Implementing Classes:
    AbstractAjpProtocol.AbstractAjpConnectionHandler, AbstractProtocol.AbstractConnectionHandler, AjpAprProtocol.AjpConnectionHandler, AjpNioProtocol.AjpConnectionHandler, AjpProtocol.AjpConnectionHandler, Http11AprProtocol.Http11ConnectionHandler, Http11NioProtocol.Http11ConnectionHandler, Http11Protocol.Http11ConnectionHandler
  Enclosing class:
    AbstractEndpoint<S>

      public static interface AbstractEndpoint.Handler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AbstractEndpoint.Handler.SocketState` Different types of socket states to react upon.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getGlobal()` Obtain the GlobalRequestProcessor associated with the handler.
    `void` | `recycle()` Recycle resources associated with the handler.

- - ### Method Detail

    - #### getGlobal

          Object getGlobal()

      Obtain the GlobalRequestProcessor associated with the handler.

    - #### recycle

          void recycle()

      Recycle resources associated with the handler.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.